Subject: bug#76120: This feature is not about "sharing", or a "native" anything.

From: Alvaro Ramirez <[email-masked]>
Date: Sat, 26 Jul 2025 10:23:03 +0100

> On 26 Jul 2025, at 10:15, Eli Zaretskii <[email-masked]> wrote:
> 
> 
>> 
>> From: Gerd Möllmann <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked],
>>  [email-masked],  [email-masked]
>> Date: Sat, 19 Jul 2025 19:54:31 +0200
>> 
>> Alvaro Ramirez <[email-masked]> writes:
>> 
>>>> I guess I could add a first entry to send-to-handlers that invokes a
>>>> transient or something that acts as a replacement for the GUI share
>>>> menu. So I'd aay send-to-handlers solves this. Thanks!
>>>> 
>>>> (I was thinking of "open -a Mail FILE" which opens a new message
>>>> with
>>>> FILE attached, while "open FILE" opens some application which is
>>>> associated with the file type, e.g. TextEdit for text files.
>>>> Sometimes
>>>> one wants to do that, sometimes the other.)
>>> 
>>> Ah, I see what you mean. Closest I got to that on macOS is M-x
>>> dwim-shell-commands-macos-open-with:
>>> 
>>> https://github.com/xenodium/dwim-shell-command/blob/4b077432a94873e5f505c8f569743cfd984eebb1/dwim-shell-commands.el#L1331
>>> 
>>> If you do add your own handler, I’d love to see what you come up with.
>> 
>> I've added that the my EGTL (Ever Growing Todo List), but I must admit
>> it's unlikely that I'll do it :-). In similar cases, M-! plus Pcomplete
>> and Corfu for command, options, file name completions is pretty good, I
>> must say.
> 
> Should we now close this bug?

Sounds good to me.

Thanks everyone for all your help.